Number: 1801
Title: dot: error while loading shared libraries: libgvc.so.5: cannot open shared obj
Submitter: David
Date: Tue Oct 27 15:50:37 2009
Subsys: Dot
Version: 2.24.0-1
System: x86-Linux-Ubuntu 9.04
Severity: minor
Problem:
I get the error

"dot: error while loading shared libraries: libgvc.so.5: cannot open shared obj"

when using dot (e.g. in response to dot -V)

I have libgvc.so.4 on my installed, where can I get libgvc.so.5 for Ubuntu 9.04?

Thanks
Comments:
[ellson] There must be something wrong with the dependencies in our debian packages.

Please remove your libgraphviz4 and install the latest from www.graphviz.org.

[david] how do I remove libgraphviz4?

[david] E: graphviz-cairo: subprocess post-removal script returned error exit status 127

Thanks for any help you can offer with this!

[ellson] Remove graphviz-cairo too. There is no longer a separate package for graphviz-cairo as its now the default renderer in the base package.

The post-removal script is attempting to regenerate the plugin config file. This should be harmless as it will be regenerated when you install graphviz again.
Owner: ellson
Status: *